The Blazor [PDF Viewer](https://www.syncfusion.com/blazor-components/blazor-pdf-viewer?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget) supports viewing and reviewing PDF files in web applications and also printing them. The thumbnail, bookmark, hyperlink, and table of contents support provides easy navigation within and outside PDF files. The form-filling support provides a platform to fill and print with AcroForms. The PDF files can be reviewed with the available annotation tools.

## Key features
* View the PDF document
* Core interactions such as scrolling, zooming, panning, and page navigation.
* Annotations such as TextMarkup, Shape, Measure, Stamp, and Free Text.
* Built-in toolbar
* Select and copy text from a PDF file
* Search a text easily across a PDF document
* Easy navigation with the help of Bookmarks, thumbnails, hyperlinks and table of contents
* View modes such as fit to page and fit to width.
* Print the entire document or a specific page directly from the browser.

## Related links
[Learn More about Blazor PDF Viewer component](https://www.syncfusion.com/blazor-components/blazor-pdf-viewer?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/pdfviewer/getting-started/features/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.44/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/pdf-viewer/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?control=pdf-viewer&utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20PdfViewer%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-pdf-viewer-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.